import { Helper } from './entities/helper';
import { Toc } from './entities/toc';
import { InformationMap } from './entities/information-map';
import { DocumentationTransfer } from './entities/documentation-transfer';
import { ExportInfo } from './entities/export-info';
import { PopoverLabel } from './entities/popover-label';
export declare class EdcClient {
    private readonly contentService;
    private readonly urlConfigService;
    private languageService;
    constructor(baseURL?: string, helpURL?: string, exportId?: string, contextOnly?: boolean, i18nUrl?: string, lang?: string);
    getContent(exportId?: string, contextOnly?: boolean, langCode?: string): Promise<ExportInfo | null>;
    getTitle(): Promise<string>;
    getToc(exportId?: string): Promise<Toc | null>;
    getHelper(mainKey: string, subKey: string, pluginId: string, lang?: string): Promise<Helper | null>;
    getDocumentation(id: number, langCode: string, exportId?: string): Promise<DocumentationTransfer | null>;
    getContextWebHelpUrl(mainKey: string, subKey: string, languageCode: string, articleIndex: number, publicationId?: string): string | null;
    getDocumentationWebHelpUrl(id: number, languageCode?: string): string;
    getHomeWebHelpUrl(): string;
    getErrorWebHelpUrl(): string;
    getPopoverI18nUrl(): string;
    getWebHelpI18nUrl(): string;
    getPopoverLabels(lang?: string, pluginId?: string): Promise<PopoverLabel | null>;
    getInformationMapFromDocId(id: number): Promise<InformationMap | null>;
    getDefaultLanguage(): string | null;
    isLanguagePresent(lang: string): boolean;
    getCurrentLanguage(): string | null;
}
