import { Promise as PromiseEs6 } from 'es6-promise';
import { ExportInfo } from '../entities/export-info';
import { Helper } from '../entities/helper';
import { DocumentationTransfer } from '../entities/documentation-transfer';
import { InformationMap } from '../entities/information-map';
import { Toc } from '../entities/toc';
import { PopoverLabel } from '../entities/popover-label';
import { UrlConfigService } from './url-config.service';
export declare class ContentService {
    private readonly infoService;
    private readonly contextService;
    private readonly translationService;
    private readonly documentationService;
    private static instance;
    private contentReady;
    private constructor();
    static getInstance(): ContentService;
    initContent(pluginId?: string | null, contextOnly?: boolean, lang?: string): PromiseEs6<ExportInfo | null>;
    getTitle(): PromiseEs6<string>;
    getToc(pluginId?: string, langCode?: string): PromiseEs6<Toc | null>;
    getExportInfo(): PromiseEs6<ExportInfo | null | undefined>;
    getInfos(): Map<string, ExportInfo>;
    getCurrentPluginId(): string | null;
    getContentReady(pluginId?: string, contextOnly?: boolean, lang?: string): PromiseEs6<ExportInfo | null>;
    getContext(mainKey: string, subKey: string, pluginId: string, lang?: string): PromiseEs6<Helper | null>;
    getDocumentation(id: number, langCode: string, sourceExportId?: string): PromiseEs6<DocumentationTransfer | null>;
    getInformationMapFromDocId(id: number): PromiseEs6<InformationMap | null>;
    getPopoverLabel(pluginId: string | null, url: UrlConfigService, lang?: string): PromiseEs6<PopoverLabel | null>;
}
