import { Promise as PromiseEs6 } from 'es6-promise';
import { Helper } from '../entities/helper';
import { ContextualHelp } from '../entities/contextual-help';
import { ContextualExport } from '../entities/contextual-export';
import { PopoverLabel } from '../entities/popover-label';
import { UrlConfigService } from './url-config.service';
export declare class ContextService {
    private readonly httpClient;
    private static instance;
    context: ContextualExport | null;
    contextReady: PromiseEs6<ContextualHelp | null> | null;
    private constructor();
    static getInstance(): ContextService;
    initContext(pluginId: string | null): PromiseEs6<ContextualHelp | null>;
    readContext(pluginId: string | null): PromiseEs6<ContextualExport>;
    getContext(mainKey: string, subKey: string, pluginId: string | null, lang?: string | null): PromiseEs6<Helper | null>;
    getPopoverLabel(langCode: string | null, pluginId: string | null, url: UrlConfigService): PromiseEs6<PopoverLabel | null>;
}
