import { MultiToc } from '../entities/multi-toc';
import { Promise as PromiseEs6 } from 'es6-promise';
import { ExportInfo } from '../entities/export-info';
import { DocumentationExport } from '../entities/documentation-export';
import { Toc } from '../entities/toc';
import { InformationMap } from '../entities/information-map';
import { Documentation } from '../entities/documentation';
export declare class DocumentationService {
    private readonly httpClient;
    private static instance;
    private static TOC_NOT_DEFINED_MSG;
    private globalToc;
    private globalTocReady;
    private constructor();
    static getInstance(): DocumentationService;
    initMultiToc(exportInfos: Map<string, ExportInfo>): PromiseEs6<MultiToc | null>;
    getDocumentation(id: number, langCode: string | null, defaultLang?: string | null): PromiseEs6<Documentation | null>;
    findPluginIdFromDocumentationId(docId: number | null): PromiseEs6<string | null>;
    getInformationMapFromDocId(id: number | null): PromiseEs6<InformationMap | null>;
    getToc(pluginId: string | null): PromiseEs6<Toc | null>;
    readTocs(productInfos: Map<string, ExportInfo>): PromiseEs6<DocumentationExport[]>;
    createIndex(documentationExports: DocumentationExport[]): {
        [key: string]: string;
    };
    createIndexOfExport(docExport: DocumentationExport, index: number): {
        [key: string]: string;
    } | null;
    private readSingleToc;
    private readInformationMaps;
    private createMultiToc;
}
