import { Promise as PromiseEs6 } from 'es6-promise';
import { Info } from '../entities/info';
import { ExportInfo } from '../entities/export-info';
export declare class ExportInfoService {
    private readonly httpClient;
    private readonly translationService;
    private static instance;
    private infos;
    private infosReady;
    private currentExportId;
    private constructor();
    static getInstance(): ExportInfoService;
    initInfos(exportId?: string | null, contextOnly?: boolean, lang?: string): PromiseEs6<Map<string, ExportInfo | null>>;
    getExportInfoValues(): Map<string, ExportInfo>;
    getCurrentExportId(): string | null;
    getTitle(): PromiseEs6<string>;
    getCurrentExportInfo(): PromiseEs6<ExportInfo | null | undefined>;
    readInfos(exportInfo: ExportInfo): PromiseEs6<Info | null>;
    setCurrentExportId(exportId?: string | null, requestedLang?: string): string | null;
    doesExportExist(exportId: string | null | undefined): boolean;
    getInfo(info: Info | null, pluginId: string): Info;
    private readMultiToc;
    private initExportId;
    private initLanguages;
    private getCurrentInfo;
}
