import { ContentTypeSuffix } from '../entities/content-type';
export declare class UrlConfigService {
    static readonly I18N_ROOT_FOLDER = "i18n";
    static readonly I18N_POPOVER_FOLDER = "popover";
    static readonly I18N_WEB_HELP_FOLDER = "web-help";
    private static instance;
    private baseURL;
    private helpURL;
    private i18nURL;
    private constructor();
    static getInstance(): UrlConfigService;
    setURLs(baseURL?: string, helpURL?: string, i18nURL?: string): void;
    getBaseUrl(): string;
    getHomeUrl(): string;
    getErrorUrl(): string;
    getContextUrl(publicationId: string | null, mainKey: string | null, subKey: string | null, languageCode: string | null, articleIndex: number | null): string | null;
    getDocumentationUrl(id: number, lang?: string | null, exportId?: string | null): string;
    getI18nBaseUrl(): string;
    getWebHelpI18nUrl(): string;
    getPopoverI18nUrl(): string;
    getFileUrl(fileUrl: string | null, exportId?: string): string;
    getContentUrl(contentType: ContentTypeSuffix, exportId?: string | null): string | null;
    getPopoverLabelsPath(lang: string | null): string | null;
}
