import { MultiToc } from '../entities/multi-toc';
import { InformationMap } from '../entities/information-map';
import { Documentation } from '../entities/documentation';
import { Indexable } from '../entities/indexable';
export declare class DocumentationUtil {
    static indexTree(indexables: Indexable[] | null | undefined, prefix?: string | undefined, isRoot?: boolean): {
        [p: string]: string | undefined;
    };
    static findFirstContent<T, G>(source: T): G | null;
    static findIMFromDocumentationId(multiToc: MultiToc | null, docId: number | null): InformationMap | null;
    static findDocumentationFromId(multiToc: MultiToc | null, id: number, langCode: string | null, defaultLang?: string | null): Documentation;
    static findPluginIdFromDocumentationId(multiToc: MultiToc | null, docId: number | null): string | null;
    static findExportPathFromDocPath(docPath: string): string;
    static replaceLanguageCode(docPath: string, langCode: string | null): string;
    static findIMPathFromDocPath(docPath: string): string;
}
